Subject: bug#19468: 25.0.50; UI inconveniences with M-.

From: Dmitry Gutov <[email-masked]>
Date: Fri, 1 May 2015 21:44:12 +0300

On 05/01/2015 09:38 PM, Eli Zaretskii wrote:

> A language-agnostic UI could well ask the back-end for variables, or
> for functions, or for both, or whatever.

Why would it ask about "functions". How would it know about functions, 
or that we want a function right now?

> because etags' default is to produce a 140-long list
> of potential matches, which elisp-mode's xref default is to produce
> only one.  In most of my use cases, neither is TRT.

That is no longer true. You should build the current master.

> We shall never second-guess the user.  I already described an
> important class of use cases where this assumption is simply wrong.
> It shouldn't probably even be the default.

Either I didn't understand it, or wasn't convinced.

> It's an annoyance to have to use more than one command for a single
> purpose.

By default, I don't want to see the list at all, most of the time, just 
jump to the only match. We won't have that if xref-find-definitions is lax.